Skip to main content
Version: API v1

Toplevel-Domain auslesen

GET/v1/topleveldomains/{topLevelDomainIdentifier}
API version
v1
Request method
GET
Operation ID
getToplevelDomain

Liefert eine Topleveldomain aus

Request​

  • topLevelDomainIdentifierstringrequired

    Topleveldomain

Responses​

Format
application/json
Description

Die Topleveldomain

  • uidinteger
  • namestring
  • descriptionstring
  • articleNumberinteger
  • pricestring
  • agencyPricestring
  • setupFeestring
  • isAllowedAsInclusiveDomainboolean
Content-Type: application/json

{
"uid": 123,
"name": "string",
"description": "string",
"articleNumber": 123,
"price": "string",
"agencyPrice": "string",
"setupFee": "string",
"isAllowedAsInclusiveDomain": true
}
{
"title": "TopLevelDomain",
"type": "object",
"properties": {
"uid": {
"type": "integer"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"articleNumber": {
"type": "integer"
},
"price": {
"type": "string"
},
"agencyPrice": {
"type": "string"
},
"setupFee": {
"type": "string"
},
"isAllowedAsInclusiveDomain": {
"type": "boolean"
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/topleveldomains/string?fields=string

On this page